This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 984955 - SELinux is preventing java from 'getattr' accesses on the file /home/jvillanueva/libpeerconnection.log.
SELinux is preventing java from 'getattr' accesses on the file /home/jvillanu...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:47da0080b81be7394abf65288bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 09:09 EDT by Javier Villanueva
Modified: 2013-07-16 13:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 13:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Javier Villanueva 2013-07-16 09:09:40 EDT
Description of problem:
SELinux is preventing java from 'getattr' accesses on the file /home/jvillanueva/libpeerconnection.log.

*****  Plugin restorecon (36.8 confidence) suggests  *************************

If desea arreglar la etiqueta .
La etiqueta predeterminada de /home/jvillanueva/libpeerconnection.log debería ser user_home_t.
Then puede ejecutar restorecon.
Do
# /sbin/restorecon -v /home/jvillanueva/libpeerconnection.log

*****  Plugin mozplugger_remove (36.5 confidence) suggests  ******************

If desea continuar usando la contención de SELinux para complementos de Firefox en vez de usar el paquete mozplugger
Then debe eliminar el paquete mozplugger.
Do
# yum remove mozplugger

*****  Plugin mozplugger (27.7 confidence) suggests  *************************

If usted desea usar el paquete mozplugger
Then debe deshabilitar los controles de SELinux en los complementos de Firefox.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (0.86 confidence) suggests  ***************************

If cree que de manera predeterminada, java debería permitir acceso getattr sobre  libpeerconnection.log file.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep java /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                /home/jvillanueva/libpeerconnection.log [ file ]
Source                        java
Source Path                   java
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-63.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-14 21:03:51 CDT
Last Seen                     2013-07-14 21:03:51 CDT
Local ID                      e321efa3-8cd6-4365-a476-2c41e4e37454

Raw Audit Messages
type=AVC msg=audit(1373853831.171:638): avc:  denied  { getattr } for  pid=15280 comm="java" path="/home/jvillanueva/libpeerconnection.log" dev="dm-2" ino=6029400 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


Hash: java,mozilla_plugin_t,user_home_dir_t,file,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport

Potential duplicate: bug 854424
Comment 1 Daniel Walsh 2013-07-16 13:28:19 EDT
restorecon -R -v /home

You have mislabeled files in your homedir.

Note You need to log in before you can comment on or make changes to this bug.